package org.processmining.plugins.causalgraph;

import javax.swing.JComponent;
import javax.swing.JScrollPane;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.models.causalgraph.SimpleCausalGraph;

public final class CausalGraphTableVisualizerPlugin {

	@Plugin(name = "Simple causal graph as table", returnLabels = { "Visualized Simple Causal Graph" }, returnTypes = {
			JComponent.class }, parameterLabels = { "Simple Causal Graph" }, userAccessible = true)
	@Visualizer
	public JComponent visualize(PluginContext context, SimpleCausalGraph causalGraph) {
		CausalGraphColoredTable coloredTable = new CausalGraphColoredTable(causalGraph);
		JScrollPane scrollPane = new JScrollPane(coloredTable);
		coloredTable.setFillsViewportHeight(true);
		scrollPane.setOpaque(false);
		return scrollPane;

	}

}