/**
 * 
 */
package org.processmining.plugins.cnet;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.cnet.CausalNet;
import org.processmining.models.dcnet.DataAwareCausalNet;
import org.processmining.plugins.dcnet.DataAwareCausalNetVisualizerPlugin;

/**
 * Old CNet Visualizer forwards to new one
 * 
 * @author aadrians
 * @author F. Mannhardt
 */
@Plugin(name = "Visualize Causal Net (CNet)", returnLabels = { "Visualized Causal Net (CNet)" }, returnTypes = {
		JComponent.class }, parameterLabels = { "Causal Net (CNet)" }, userAccessible = true, level = PluginLevel.PeerReviewed)
@Visualizer
public class CNetVisualization {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(PluginContext context, CausalNet cnet) {
		// forwarded to new implementation
		return new DataAwareCausalNetVisualizerPlugin().visualize(context,
				DataAwareCausalNet.Factory.fromCausalNet(cnet));
	}
}
